
import java.io.*;

public class Motoveicolo implements Serializable {
    final static int DUE_RUOTE = 2;
    final static int TRE_RUOTE = 3;
    final static int QUATTRO_RUOTE = 4;
    
    private String marca;
    private String modello;
    private int anno;
    private int cilindrata;
    private String colore;
    private int ruote;
    private boolean scooter;
    
    public Motoveicolo(String marca, String modello, int anno, int cilindrata, String colore, boolean scooter, int ruote) {
        this.marca = marca;
        this.modello = modello;
        this.anno = anno;
        this.cilindrata = cilindrata;
        this.colore = colore;
        this.scooter = scooter;
        this.ruote = ruote;
    }

    public int getAnno() {
        return anno;
    }

    public int getCilindrata() {
        return cilindrata;
    }

    public String getColore() {
        return colore;
    }

    public String getMarca() {
        return marca;
    }

    public String getModello() {
        return modello;
    }

    public int getRuote() {
        return ruote;
    }

    public boolean getScooter() {
        return scooter;
    }
    
    public String toString() {
        String tmp = marca + "," + modello +"," + anno + "," + cilindrata + "," + colore + "," + ruote;
        
        if (scooter)
          tmp = tmp + ",scooter";
        
        return tmp;
    }
}
