
package coppia;

public class Coppia<T1, T2> {
 private T1 primo;
 private T2 secondo;

public Coppia(T1 primo, T2 secondo) {
 this.primo = primo;
 this.secondo = secondo;
}

public T1 getPrimo() {
 return primo;
}

public void setPrimo (T1 primo) {
 this.primo = primo;
}

public T2 getSecondo() {
 return secondo;
}

public void setSecondo(T2 secondo) {
 this.secondo = secondo;
}

public String toString() {
 return "("+primo.toString()+";"+secondo.toString()+")";
}

public static void main(String args[]) {
 Coppia<Double, String> c1 = new Coppia<Double, String>(1.1, "Kg");
 Coppia<Double, Integer> c2 = new Coppia<Double, Integer>(0.9E-3, 12);
    
 c2.setPrimo(99.99); // accetta come parametro un Double
 c2.setSecondo(101); // accetta come parametro un Integer
 double valore = c2.getPrimo(); // restituisce un valore Double
 int frequenza = c2.getSecondo(); // restituisce un valore Integer
 c1.setPrimo(valore*frequenza); // accetta come parametro un Double
 c1.setSecondo("m"); // accetta come parametro un oggetto String
}
}
