
public class Punto implements Comparable<Punto> {
 private double x;
 private double y;
 
public Punto(double x, double y) {
 this.x = x;
 this.y = y;
}

public Punto(Punto p) {
 this.x = p.getX();
 this.y = p.getY();
}

public double getX() {
 return x;
}

public void setX(double x) {
 this.x = x;
}

public double getY() {
 return y;
}

public void setY(double y) {
 this.y = y;
}

public String toString() {
 return "(" + this.getX() + ";" + this.getY() + ")";
}

public double distanza(Punto p) {
 return Math.sqrt(Math.pow((p.getX() - this.getX()), 2) + Math.pow((p.getY() - this.getY()), 2));
}

public int compareTo(Punto p) {
 Punto o = new Punto(0.0, 0.0); // origine

 if (this.distanza(o) < p.distanza(o))
   return -1;
 if (this.distanza(o) > p.distanza(o))
   return 1;
 return 0;
}
}
